/*
 * Copyright 2023 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define PCR_DSE_dse0 0x00u /*!<@brief Drive Strength Enable: Low */
#define PCR_DSE_dse1 0x01u /*!<@brief Drive Strength Enable: High */
#define PCR_IBE_ibe1 0x01u /*!<@brief Input Buffer Enable: Enables */
#define PCR_INV_inv0 0x00u /*!<@brief Invert Input: Does not invert */
#define PCR_ODE_ode0 0x00u /*!<@brief Open Drain Enable: Disables */
#define PCR_PE_pe0 0x00u   /*!<@brief Pull Enable: Disables */
#define PCR_PFE_pfe0 0x00u /*!<@brief Passive Filter Enable: Disables */
#define PCR_SRE_sre0 0x00u /*!<@brief Slew Rate Enable: Fast */

/*! @name PORT2_0 (coord H2), DP4LANE
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_DP4LANE_GPIO GPIO2               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_DP4LANE_GPIO_PIN 0U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_DP4LANE_GPIO_PIN_MASK (1U << 0U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_DP4LANE_PORT PORT2               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_DP4LANE_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_DP4LANE_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PORT3_12 (coord G16), DP_HPD
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_DP_HPD_GPIO GPIO3                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_DP_HPD_GPIO_PIN 12U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_DP_HPD_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_DP_HPD_PORT PORT3                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_DP_HPD_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_DP_HPD_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PORT0_21 (coord A8), EXTRA_EN_SRCn
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EXTRA_EN_SRCn_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EXTRA_EN_SRCn_GPIO_PIN 21U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EXTRA_EN_SRCn_GPIO_PIN_MASK (1U << 21U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_EXTRA_EN_SRCn_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_EXTRA_EN_SRCn_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_EXTRA_EN_SRCn_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                                               /* @} */

/*! @name PORT2_7 (coord L2), P0_XSD
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_P0_XSD_GPIO GPIO2               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_P0_XSD_GPIO_PIN 7U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_P0_XSD_GPIO_PIN_MASK (1U << 7U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_P0_XSD_PORT PORT2               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_P0_XSD_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_P0_XSD_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PORT3_17 (coord K15), DC_BARREL_PRES
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_DC_BARREL_PRES_GPIO GPIO3                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_DC_BARREL_PRES_GPIO_PIN 17U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_DC_BARREL_PRES_GPIO_PIN_MASK (1U << 17U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_DC_BARREL_PRES_PORT PORT3                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_DC_BARREL_PRES_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_DC_BARREL_PRES_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                                /* @} */

/*! @name PORT0_23 (coord B7), nALERT
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_nALERT_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_nALERT_GPIO_PIN 23U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_nALERT_GPIO_PIN_MASK (1U << 23U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_nALERT_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_nALERT_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_nALERT_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                        /* @} */

/*! @name PORT3_14 (coord H17), ORIENT
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_ORIENT_GPIO GPIO3                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_ORIENT_GPIO_PIN 14U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_ORIENT_GPIO_PIN_MASK (1U << 14U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_ORIENT_PORT PORT3                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ORIENT_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ORIENT_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                                        /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#define PCR_DSE_dse1 0x01u /*!<@brief Drive Strength Enable: High */
#define PCR_IBE_ibe1 0x01u /*!<@brief Input Buffer Enable: Enables */
#define PCR_INV_inv0 0x00u /*!<@brief Invert Input: Does not invert */
#define PCR_ODE_ode0 0x00u /*!<@brief Open Drain Enable: Disables */
#define PCR_PE_pe0 0x00u   /*!<@brief Pull Enable: Disables */
#define PCR_PFE_pfe0 0x00u /*!<@brief Passive Filter Enable: Disables */
#define PCR_SRE_sre0 0x00u /*!<@brief Slew Rate Enable: Fast */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void I2C2_InitPins(void);

/*!
 * @brief This is a de-initialization function for 'I2C2_InitPins' function.
 * It sets all pins features (routing, direction and electrical) to their after-reset state.
 * It also tries to route the previous peripheral signals to their default pins.
 *
 */
void I2C2_DeinitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
